%define group System/Configuration/Other
%define version 0.40

Name: drakfont
Version: %{version}
Release: 13mdk
Source0: %{name}-%{version}.tar.bz2
Source1: drakfont
Source2: drakfont.xpm.bz2
Source3: drakfont32.xpm.bz2
Source4: drakfont48.xpm.bz2
Source5: drakfont.init
Copyright: GPL
BuildRoot: /var/tmp/%{name}-%{version}

Summary: TrueType fonts manager
Prereq: /usr/sbin/ttmkfdir /usr/sbin/chkfontpath /bin/su /bin/gzip gtk+
Requires: kdesu gtk+mdk
BuildRequires: gtk+mdk-devel
Group: %{group}
%description
Fonts manager. You can add new fonts, remove fonts, and get Windows fonts.

%changelog
* Wed May 17 2000 dam's <damien@mandrakesoft.com> 0.40-13mdk
- rebuild with some gtk-mdk widget. Thanks to Dindinx. 
- corrected cp bug.
- corrected xfs restart bug.
- corrected translations errors

* Tue May  9 2000 dam's <damien@mandrakesoft.com> 0.40-12mdk
- new release. Include translation updates.

* Tue May  9 2000 dam's <damien@mandrakesoft.com> 0.40-11mdk
- changed label place.
- added auto type partition recognition.

* Mon May  8 2000 dam's <damien@mandrakesoft.com> 0.40-10mdk
- 'xfs restart' re-added, chkfontpath is bugy.

* Mon May  8 2000 dam's <damien@mandrakesoft.com> 0.40-9mdk
- added Normal/strong verification dialog. no xfs restart any more.

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 0.40-8mdk
- changed %post %prep

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 0.40-7mdk
- ok, no links more for win.

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 0.40-6mdk
- Added pcf + pcf.gz fonts recognition.

* Fri May 05 2000 dam's <damien@mandrakesoft.com> 0.40-5mdk
- Added legal warning.

* Thu May  4 2000 dam's <damien@mandrakesoft.com> 0.40-4mdk
- Updated man page.

* Thu May  4 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.40-3mdk
- added Prereq on gtk+, ttmkfdir chkfontpath and su.
- don't call /etc/rc.d/init.d/xfs restart on --check.

* Thu May 04 2000 dam's <damien@mandrakesoft.com> 0.40-2mdk
- added init script to check fonts installations

* Wed May 03 2000 dam's <damien@mandrakesoft.com> 0.40-1mdk
- minor bugs fix.
- added medium and large icon.
- corrected menu entry

* Tue May 2 2000 dam's <damien@mandrakesoft.com> 0.39-1mdk
- use popen instead of system.
- use rehash instead of restarting.
- changed drakfont_pcf to pcf_drakfont because of bad strstr test
- added drakfont -c
- added drakfont.init in /etc/X11/xinit.d

* Sun Apr 30 2000 dam's <damien@mandrakesoft.com> 0.38-1mdk
- check win*/fonts directory
- added Wathc cursor.

* Thu Apr 27 2000 dam's <damien@mandrakesoft.com> 0.37-0.5mdk
- unstable devel version, try to check winnt & windows fonts.

* Fri Apr 21 2000 dam's <damien@mandrakesoft.com> 0.36-3mdk
- corrected translataion

* Fri Apr 21 2000 dam's <damien@mandrakesoft.com> 0.36-2mdk
- added dakfont and drakfont_pcf installation.

* Wed Apr 19 2000 dam's <damien@mandrakesoft.com> 0.36-1mdk
- fat recognition.

* Tue Apr 18 2000 dam's <damien@mandrakesoft.com> 0.35-3mdk
- Changed gif icon to xpm.

* Mon Apr 17 2000 dam's <damien@mandrakesoft.com> 0.35-2mdk
- Added icon.
 
* Fri Apr 07 2000 dam's <damien@mandrakesoft.com> 0.35-1mdk
- Can handle pcf.gz fonts type. 

* Fri Apr 07 2000 dam's <damien@mandrakesoft.com> 0.31-1mdk
- patch from David Odin

* Mon Apr 03 2000 dam's <damien@mandrakesoft.com> 0.30-0.5mdk
- 0.30
- new look, and ttmkfdir is used with -c. It can crash with some fonts.
- This is not a stable version. It need tests.

* Tue Mar 28 2000 dam's <damien@mandrakesoft.com> 0.25-1mdk
- No more copy for Windows fonts. Make links instead.
  This is due to licence problem. bleurk.

* Fri Mar 10 2000 dam's <damien@mandrakesoft.com> 0.2-0.5mdk
- Now it can remove fonts from other types than ttf.
- Better place for man pages.

* Fri Mar 10 2000 dam's <damien@mandrakesoft.com> 0.1-1mdk
- First release.

%prep
%setup -n %{name}-%{version}

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/{bin,man/man1}
make version=%{version} prefix=$RPM_BUILD_ROOT MANDIR=$RPM_BUILD_ROOT/usr/man/man1 install
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %SOURCE1 $RPM_BUILD_ROOT/usr/lib/menu/
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/mini
bzcat %SOURCE2 > $RPM_BUILD_ROOT/usr/share/icons/mini/drakfont.xpm
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/icons/mini/
bzcat %SOURCE3 > $RPM_BUILD_ROOT/usr/share/icons/drakfont.xpm
install -m 755 -d $RPM_BUILD_ROOT/usr/share/icons/large
bzcat %SOURCE4 > $RPM_BUILD_ROOT/usr/share/icons/large/drakfont.xpm
install -m 755 -d $RPM_BUILD_ROOT/etc/rc.d/init.d/
install -m 755 %SOURCE5 $RPM_BUILD_ROOT/etc/rc.d/init.d/drakfont

%post
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/drakfont
install -m 755 -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fonts/pcf_drakfont
/usr/X11R6/bin/drakfont -c
/sbin/chkconfig --add drakfont
if [ -x /usr/bin/update-menus ]; then
	/usr/bin/update-menus
fi

%postun
if [ $1 = 0 ]; then
    /sbin/chkconfig --del drakfont
fi
if [ "$1" = 0 ]; then
	if [ -x /usr/bin/update-menus ]; then
		/usr/bin/update-menus
	fi
fi  

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/$RPM_PACKAGE_NAME

%files
%defattr(-,root,root)
/usr/X11R6/bin/drakfont
#%dir /usr/X11R6/lib/X11/fonts/drakfont
#%dir /usr/X11R6/lib/X11/fonts/pcf_drakfont
/usr/share/locale/*/LC_MESSAGES/drakfont.mo
/usr/man/man1/drakfont.1*
/usr/lib/menu/*
/usr/share/icons/drakfont.xpm
/usr/share/icons/mini/drakfont.xpm
/usr/share/icons/large/drakfont.xpm
%config /etc/rc.d/init.d/drakfont
